---

 25-akpm/fs/Kconfig       |    6 +++---
 25-akpm/fs/dquot.c       |    8 ++++----
 fs/ext3/super.c          |    0 
 fs/inode.c               |    0 
 include/linux/quotaops.h |    0 
 5 files changed, 7 insertions(+), 7 deletions(-)

diff -puN fs/dquot.c~x fs/dquot.c
--- 25/fs/dquot.c~x	2004-03-23 09:48:08.162832272 -0800
+++ 25-akpm/fs/dquot.c	2004-03-23 09:49:14.242786592 -0800
@@ -304,11 +304,11 @@ static void invalidate_dquots(struct sup
 			continue;
 		if (dquot->dq_type != type)
 			continue;
-#ifdef __DQUOT_PARANOIA	
+#ifdef __DQUOT_PARANOIA
 		if (atomic_read(&dquot->dq_count))
 			BUG();
 #endif
-		/* Quota now have no users and it has been written on last dqput() */
+		/* Quota now has no users and it has been written on last dqput() */
 		remove_dquot_hash(dquot);
 		remove_free_dquot(dquot);
 		remove_inuse(dquot);
@@ -851,7 +851,7 @@ void dquot_initialize(struct inode *inod
 
 /*
  * 	Release all quotas referenced by inode
- *	Needs dqonoff_sem to guard dqput()
+ *	Transaction must be started at an entry
  */
 void dquot_drop(struct inode *inode)
 {
@@ -959,7 +959,7 @@ void dquot_free_space(struct inode *inod
 
 	/* Solve deadlock when we recurse when holding dqptr_sem... */
 	if (IS_NOQUOTA(inode)) {
-		inode_add_bytes(inode, number);
+		inode_sub_bytes(inode, number);
 		return;
 	}
 	down_read(&sb_dqopt(inode->i_sb)->dqptr_sem);
diff -puN fs/ext3/super.c~x fs/ext3/super.c
diff -puN fs/inode.c~x fs/inode.c
diff -puN include/linux/quotaops.h~x include/linux/quotaops.h
diff -puN fs/Kconfig~x fs/Kconfig
--- 25/fs/Kconfig~x	2004-03-23 09:48:28.074805192 -0800
+++ 25-akpm/fs/Kconfig	2004-03-23 09:49:14.247785832 -0800
@@ -417,7 +417,7 @@ config QFMT_V1
 	tristate "Old quota format support"
 	depends on QUOTA
 	help
-	  This quota format was (is) used by kernels earlier than 2.4.??. If
+	  This quota format was (is) used by kernels earlier than 2.4.22. If
 	  you have quota working and you don't want to convert to new quota
 	  format say Y here.
 
@@ -426,8 +426,8 @@ config QFMT_V2
 	depends on QUOTA
 	help
 	  This quota format allows using quotas with 32-bit UIDs/GIDs. If you
-	  need this functionality say Y here. Note that you will need latest
-	  quota utilities for new quota format with this kernel.
+	  need this functionality say Y here. Note that you will need recent
+	  quota utilities (>= 3.01) for new quota format with this kernel.
 
 config QUOTACTL
 	bool

_
